%define mod_name gbulb
%define debug_package %{nil}

Name:           python-%{mod_name}
Version:        0.6.6
Release:        1%{?dist}
Url:            http://github.com/beeware/gbulb
Summary:        GLib event loop for asyncio (PEP 3156)
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/92/cb/d2a0e4899cde5aa797e31d77a0a7422dcd188d880bb38d0e9d1b1196e5c6/%{mod_name}-%{version}.tar.gz

BuildRequires:  gtk3-devel
BuildRequires:  git
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-tox
BuildRequires:  python%{python3_pkgversion}-tox-current-env
BuildRequires:  python%{python3_pkgversion}-pytest-cov
BuildRequires:  python%{python3_pkgversion}-gobject
%{?python_provide:%python_provide python%{python3_pkgversion}-%{mod_name}}

%description
Gbulb is a python library that implements a PEP 3156 interface for the GLib
main event loop. It is designed to be used together with the tulip reference
implementation.

%package -n python%{python3_pkgversion}-gbulb
Summary:        GLib event loop for asyncio (PEP 3156)

%description -n python%{python3_pkgversion}-gbulb
Gbulb is a python library that implements a PEP 3156 interface for the GLib
main event loop. It is designed to be used together with the tulip reference
implementation.

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{mod_name}

%check
%tox

%files -n python%{python3_pkgversion}-gbulb -f %{pyproject_files}
%doc README.rst AUTHORS.rst CHANGELOG.rst

%changelog
* Wed Oct 16 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-gbulb

* Wed Oct 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a17fe48
- Update to 0.6.6

* Tue Aug 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0251cf1
- version 0.6.5-2

* Tue Aug 20 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f6aedcd
- Apply fixup patch

* Mon Aug 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 67f9cb7
- version 0.6.5-1

* Mon Aug 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 26d9cc6
- Fix build on Ubuntu jammy

* Mon Aug 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df0222a
- ci: add R4.3, remove R4.1

* Mon Aug 19 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c59ea24
- Update to 0.6.5

* Sat Jan 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d593f2
- version 0.6.3-2

* Fri Jan 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2ef940
- Backport Python 3.11 support

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97b1814
- version 0.6.3

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3bd6c91
- Gitignore tarball

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5cd1263
- Update doc file names

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17540e2
- Update upstream URL

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 451c8f6
- Drop patches included upstream already

* Wed Oct 26 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8bef55
- Use VERSION tag in URL

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2962f5e
- .qubesbuilder: replace 'spec' by 'build'

* Tue Apr 19 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 45ef777
- Add Qubes Builder v2 integration

* Tue Apr 19 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4c84ea1
- Download source file directly

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2bf930f
- Drop Travis CI

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ca33b3b
- Add .gitlab-ci.yml

* Wed Nov 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0080570
- version 0.6.1-5

* Wed Nov 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2afc076
- Drop socket-related patch

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d104f11
- version 0.6.1-4

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dd00528
- rpm: convert to use spec.in file

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 965ab22
- Apply fixes for Python 3.8 compat

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1af5fd9
- version 0.6.1-3

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 68636ea
- version 0.6.1-2

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fdf1f28
- Update travis

* Fri Feb 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 278d7bf
- travis: switch to Qubes 4.1

* Fri Feb 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - d7ea869
- Package for Debian

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 74e1c2e
- travis: switch to bionic

* Sun Sep 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1abb360
- Update to 0.6.1

* Sun Sep 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3dc92a6
- travis: add fc29

* Thu Jun 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7627e43
- version 0.5.3-2

* Thu Jun 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6adacdf
- travis: add fc27 and fc28

* Sat May 26 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f71d1fa
- Add NO_ARCHIVE :=1 and add common Fedora and CentOS pkg definition

* Mon Feb 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83efd94
- travis: initial version

* Sun Oct 15 2017 Frédéric Pierret <frederic.epitre@orange.fr> - ac0f0d5
- Add CentOS support with respect to python34 packages names

* Sat Jul 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41e6b40
- version 0.5.3-1

* Fri Jul 28 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4242580
- Add dist tag to release number

* Fri Jul 28 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3628c10
- Add qubes-builder integration

* Fri Jul 28 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa0403f
- Initial spec + sources for python3-gbulb-0.5.3

